{% extends '@ChillPerson/AccompanyingCourse/layout.html.twig' %}

{% block title 'accompanying_course_work.Edit accompanying course work'|trans %}

{% block css %}
    {{ parent() }}
    {{ encore_entry_link_tags('vue_accourse_work_edit') }}
    {{ encore_entry_link_tags('mod_entity_workflow_pick') }}
{% endblock %}

{% block content %}
<div class="accompanying-course-work">
    <h1>{{ block('title') }}</h1>
    <div id="accompanying_course_work_edit"></div>
</div>
{% endblock %}

{% block block_post_menu %}
<div class="post-menu pt-4"></div>
{% endblock %}

{% block js %}
  {{ parent() }}
  <script type="text/javascript">
      window.accompanyingCourseWork = {{ json|json_encode|raw }};
  </script>
  {{ encore_entry_script_tags('vue_accourse_work_edit') }}
  {{ encore_entry_script_tags('mod_entity_workflow_pick') }}
{% endblock %}

